<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes</title>
    <style>
        table, th, td {
            border: 1px solid black;
            border-collapse: collapse;
            margin-left: auto;
            margin-right: auto;
        }
        th, td {
            padding: 5px;
        }
        th {
            background-color: rgb(126, 233, 197);
        }
        td {
            background-color: rgb(192, 229, 240);
        }
        .header {
            background-color: rgb(19, 139, 143);
            padding: 15px;
            text-align: center;
        }
        .navbar_container {
            background-color: rgb(121, 213, 216);
            padding: 15px;
            text-align: center;
        }
    </style>
  </head>
  <body>
    <div class="navbar_container">
      <div class="navbar">
        <a href="/lab-4">Note Table</a>
        <a>|</a>
        <a href="/lab-4/add-note">Add Note</a>
        <a>|</a>
        <a href="/lab-4/note-list">Note List</a>
    </div>
    </div>
    <div class="header">
        <h1>Hello! Here are your notes :D</h1>
    </div>
    <table>
      <tr>
        <th>To:</th>
        <th>From:</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
      <!-- loop from Note model -->
      <!-- START SECTION -->
      {% if notes %}
        {% for note in notes %}
        <tr>
          <td>{{note.to_person}}</td>
          <td>{{note.from_person}}</td>
          <td>{{note.title}}</td>
          <td>{{note.message}}</td>
        </tr>
        {% endfor %}
      {% endif %}
      <!-- END SECTION -->
    </table>
  </body>
</html>